I suspect it's the fact that zenwalk provides a 2 years old version of goocanvas (0.15 instead of 1.0 and newer)...